-- lalonde
-- Copyright (C) 2010 Noé Falzon <firstname.lastname@aliceadsl.fr>

-- This program is  free software:  you can redistribute it and/or modify it
-- under  the terms  of the  GNU General Public License  as published by the
-- Free Software Foundation, version 3 of the License.
--
-- This program  is  distributed  in the hope  that it will  be useful,  but
-- WITHOUT  ANY WARRANTY;  without  even the implied  warranty of MERCHANTA-
-- BILITY  or  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
-- License for more details.
--
-- You should have received a copy of the  GNU General Public License  along
-- with this program. If not, see <http://www.gnu.org/licenses/>.

enc = ({...})[1]

print("Using file " .. enc .. ".TXT")

fp = io.open(enc .. ".TXT")

t = {}

t[1] = "if not encodings then encodings = {} end"
t[2] = "encodings['" .. enc .. "'] = {"

for l in fp:lines() do
	
	-- replace comment sign
	l = l:gsub("#","--")	
	
	
	l = l:gsub("^(0x%x+)%s+(0x%x+)(.*)$","[%1] = %2,%3")
	
	table.insert(t,l)
	
end

table.insert(t,"}")

fp = io.open(enc..".lua","w")
fp:write(table.concat(t,'\n'))
