-- lalonde
-- Copyright (C) 2010 Noé Falzon <firstname.lastname@aliceadsl.fr>

-- This program is  free software:  you can redistribute it and/or modify it
-- under  the terms  of the  GNU General Public License  as published by the
-- Free Software Foundation, version 3 of the License.
--
-- This program  is  distributed  in the hope  that it will  be useful,  but
-- WITHOUT  ANY WARRANTY;  without  even the implied  warranty of MERCHANTA-
-- BILITY  or  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
-- License for more details.
--
-- You should have received a copy of the  GNU General Public License  along
-- with this program. If not, see <http://www.gnu.org/licenses/>.

-- This is a generic class. Everything is overloaded.

View = class()

function View:init(cli)
	
	self.client = cli
	
	return self
end

function View:input(k,dir)

end

-- update() should return true if it to notify that the client wants to "cleanly" disconnect
function View:update()

end

function View:draw(term)
	error("Please overload View:draw(). A view that doesn't draw anything is lame...")
end

function View:cleanup()

end
